$(document).ready(function(){

	$("ul.subnav").parent().append("<span></span>"); //Only shows drop down trigger when js is enabled (Adds empty span tag after ul.subnav*)

	$("ul.topnav li span").hover(function() { //When trigger is clicked...

		//Following events are applied to the subnav itself (moving subnav up and down)
		$(this).parent().find("ul.subnav").slideDown('fast').show(); //Drop down the subnav on click

		$(this).parent().hover(function() {
		}, function(){
			$(this).parent().find("ul.subnav").slideUp('slow'); //When the mouse hovers out of the subnav, move it back up
		});

		//Following events are applied to the trigger (Hover events for the trigger)
		}).hover(function() {
			$(this).addClass("subhover"); //On hover over, add class "subhover"
		}, function(){	//On Hover Out
			$(this).removeClass("subhover"); //On hover out, remove class "subhover"
	});

});

$(".navbody").hover(
	function(){
  $(this).animate({ 
    marginBottom: "40px"
  }, 400 );
},
	function(){
  $(this).animate({ 
    marginBottom: "0px"
  }, 400 );
}
);
$("a").hover(
	function(){
  $(this).animate({ 
    opacity: 0.7
  }, 400 );
},
	function(){
  $(this).animate({ 
    opacity: 1
  }, 400 );
}
);
$("#head_container").hover(
	function(){
  $("#head_logo").animate({ 
    opacity: 0.9
  }, 400 );
  $("#head_shadow").animate({ 
    opacity: 0.2
  }, 400 );
  $("#head_shadow").animate({ 
    opacity: 0.5
  }, 400 );
},
	function(){
  $("#head_logo,#head_shadow").animate({ 
    opacity: 1
  }, 400 );
}
);
